/* -*- c++ -*- */
/*
 * Copyright 2013, 2014 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <volk/constants.h>

char*
volk_prefix()
{
  return "/usr";
}

char*
volk_version()
{
  return "1.2.1";
}

char*
volk_c_compiler()
{
  return "i586-alt-linux-gcc (GCC) 5.3.1 20151207 (ALT Linux 5.3.1-alt3) \nCopyright (C) 2015 Free Software Foundation, Inc. \nThis is free software see the source for copying conditions.  There is NO \nwarranty not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.";
}

char*
volk_compiler_flags()
{
  return "/usr/bin/cc::: -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall \n/usr/bin/c++::: -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall \ngeneric:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall  \nsse2_32_mmx:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 \nsse3_32:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 \nssse3_32:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 \nsse4_a_32:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 -msse4a -mpopcnt \nsse4_1_32:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 \nsse4_2_32:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt \navx_32_mmx:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx \navx2_32_mmx:::GNU:::-O3 -DNDEBUG -pipe -Wall -g -O2 -march=i586 -mtune=generic -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx -mfma -mavx2";
}

char*
volk_available_machines()
{
  return "generic;sse2_32_mmx;sse3_32;ssse3_32;sse4_a_32;sse4_1_32;sse4_2_32;avx_32_mmx;avx2_32_mmx";
}
